DT-GETADDR(1)

NAME
dt-getaddr - command-line test program for the val_getaddrinfo() function

SYNOPSIS
    dt-getaddr [options] <hostname|IPv4 address|IPv6 address>

DESCRIPTION
This utility is a command-line wrapper around the val_getaddrinfo() function. It invokes the val_getaddrinfo() operation for the given command-line arguments and displays the return code from the function and the contents of the addrinfo structure.

The exit status for this program is 1 if the answer received is trusted, 2 if the answer received is validated, and -1 for an error. If no validation is performed, or the result is neither trusted nor validated, a value of 0 is returned. The trusted and validated status values are obtained using the val_istrusted() and val_isvalidated() functions from libval(3).

OPTIONS

-c, --canonname
    Use the AI_CANONNAME flag in val_getaddrinfo().

-s, --service=PORT|SERVICE
    Use the specified transport-layer port or service name.

-o, --output=<debug-level>:<dest-type>[:<dest-options>]
    <debug-level> is 1-7, corresponding to syslog levels ALERT-DEBUG <dest-type> is one of file, net, syslog, stderr, stdout <dest-options> depends on <dest-type>
        file:<file-name> (opened in append mode)
        net[:<host-name>:<host-port>] (127.0.0.1:1053
        syslog[:facility] (0-23 (default 1 USER))

-h, --help
    Display the help and exit.

PRE-REQUISITES
libval

COPYRIGHT
Copyright 2005-2013 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHORS
Abhijit Hayatnagarkar, Suresh Krishnaswamy, Robert Story

SEE ALSO
val_getaddrinfo(3)

libval(3)

http://www.dnssec-tools.org